Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes
Lucene::TermInfosReader Class Reference

This stores a monotonically increasing set of <Term, TermInfo> pairs in a Directory. Pairs are accessed either by Term or by ordinal position the set. More...

`#include <TermInfosReader.h>`

Inheritance diagram for Lucene::TermInfosReader:

## Public Member Functions

| TermInfosReader (DirectoryPtr dir, const String &seg, FieldInfosPtr fis, int32_t readBufferSize, int32_t indexDivisor)
virtual | ~TermInfosReader ()
virtual String | getClassName ()
boost::shared_ptr < TermInfosReader > | shared_from_this ()
int32_t | getSkipInterval ()
int32_t | getMaxSkipLevels ()
void | close ()
int64_t | size ()
| Returns the number of term/value pairs in the set. More...
TermInfoPtr | get (TermPtr term)
| Returns the TermInfo for a Term in the set, or null. More...
int64_t | getPosition (TermPtr term)
| Returns the position of a Term in the set or -1. More...
SegmentTermEnumPtr | terms ()
| Returns an enumeration of all the Terms and TermInfos in the set. More...
SegmentTermEnumPtr | terms (TermPtr term)
| Returns an enumeration of terms starting at or after the named term. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Member Functions

TermInfosReaderThreadResourcesPtr | getThreadResources ()
int32_t | getIndexOffset (TermPtr term)
| Returns the offset of the greatest index entry which is less than or equal to term. More...
void | seekEnum (SegmentTermEnumPtr enumerator, int32_t indexOffset)
TermInfoPtr | get (TermPtr term, bool useCache)
| Returns the TermInfo for a Term in the set, or null. More...
void | ensureIndexIsRead ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

DirectoryPtr | directory
String | segment
FieldInfosPtr | fieldInfos
CloseableThreadLocal < TermInfosReaderThreadResources > | threadResources
SegmentTermEnumPtr | origEnum
int64_t | _size
Collection< TermPtr > | indexTerms
Collection< TermInfoPtr > | indexInfos
Collection< int64_t > | indexPointers
int32_t | totalIndexInterval

## Static Protected Attributes

static const int32_t | DEFAULT_CACHE_SIZE

## Detailed Description

This stores a monotonically increasing set of <Term, TermInfo> pairs in a Directory. Pairs are accessed either by Term or by ordinal position the set.

## Constructor & Destructor Documentation

Lucene::TermInfosReader::TermInfosReader | ( | DirectoryPtr | dir,
|  | const String & | seg,
|  | FieldInfosPtr | fis,
|  | int32_t | readBufferSize,
|  | int32_t | indexDivisor
| ) |  |

virtual Lucene::TermInfosReader::~TermInfosReader | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::TermInfosReader::_getClassName | ( | ) |  |

inline static

void Lucene::TermInfosReader::close | ( | ) |  |

void Lucene::TermInfosReader::ensureIndexIsRead | ( | ) |  |

protected

TermInfoPtr Lucene::TermInfosReader::get | ( | TermPtr | term) |  |

Returns the TermInfo for a Term in the set, or null.

TermInfoPtr Lucene::TermInfosReader::get | ( | TermPtr | term,
|  | bool | useCache
| ) |  |

protected

Returns the TermInfo for a Term in the set, or null.

virtual String Lucene::TermInfosReader::getClassName | ( | ) |  |

inline virtual

int32_t Lucene::TermInfosReader::getIndexOffset | ( | TermPtr | term) |  |

protected

Returns the offset of the greatest index entry which is less than or equal to term.

int32_t Lucene::TermInfosReader::getMaxSkipLevels | ( | ) |  |

int64_t Lucene::TermInfosReader::getPosition | ( | TermPtr | term) |  |

Returns the position of a Term in the set or -1.

int32_t Lucene::TermInfosReader::getSkipInterval | ( | ) |  |

TermInfosReaderThreadResourcesPtr Lucene::TermInfosReader::getThreadResources | ( | ) |  |

protected

void Lucene::TermInfosReader::seekEnum | ( | SegmentTermEnumPtr | enumerator,
|  | int32_t | indexOffset
| ) |  |

protected

boost::shared_ptr< TermInfosReader > Lucene::TermInfosReader::shared_from_this | ( | ) |  |

inline

int64_t Lucene::TermInfosReader::size | ( | ) |  |

Returns the number of term/value pairs in the set.

SegmentTermEnumPtr Lucene::TermInfosReader::terms | ( | ) |  |

Returns an enumeration of all the Terms and TermInfos in the set.

SegmentTermEnumPtr Lucene::TermInfosReader::terms | ( | TermPtr | term) |  |

Returns an enumeration of terms starting at or after the named term.

## Field Documentation

int64_t Lucene::TermInfosReader::_size

protected

const int32_t Lucene::TermInfosReader::DEFAULT_CACHE_SIZE

static protected

DirectoryPtr Lucene::TermInfosReader::directory

protected

FieldInfosPtr Lucene::TermInfosReader::fieldInfos

protected

Collection<TermInfoPtr> Lucene::TermInfosReader::indexInfos

protected

Collection<int64_t> Lucene::TermInfosReader::indexPointers

protected

Collection<TermPtr> Lucene::TermInfosReader::indexTerms

protected

SegmentTermEnumPtr Lucene::TermInfosReader::origEnum

protected

String Lucene::TermInfosReader::segment

protected

CloseableThreadLocal<TermInfosReaderThreadResources> Lucene::TermInfosReader::threadResources

protected

int32_t Lucene::TermInfosReader::totalIndexInterval

protected

The documentation for this class was generated from the following file:

- TermInfosReader.h

clucene.sourceforge.net